GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Namespaces | Functions
credentials.h File Reference
`#include <memory>`
`#include <grpc++/config.h>`
`#include <grpc++/impl/grpc_library.h>`

Go to the source code of this file.

## Data Structures
class | grpc::Credentials
struct | grpc::SslCredentialsOptions

## Namespaces
| grpc

## Functions
std::shared_ptr< Credentials > | grpc::GoogleDefaultCredentials ()
std::shared_ptr< Credentials > | grpc::SslCredentials (const SslCredentialsOptions &options)
std::shared_ptr< Credentials > | grpc::ComputeEngineCredentials ()
std::shared_ptr< Credentials > | grpc::ServiceAccountCredentials (const grpc::string &json_key, const grpc::string &scope, long token_lifetime_seconds)
std::shared_ptr< Credentials > | grpc::ServiceAccountJWTAccessCredentials (const grpc::string &json_key, long token_lifetime_seconds)
std::shared_ptr< Credentials > | grpc::RefreshTokenCredentials (const grpc::string &json_refresh_token)
std::shared_ptr< Credentials > | grpc::AccessTokenCredentials (const grpc::string &access_token)
std::shared_ptr< Credentials > | grpc::IAMCredentials (const grpc::string &authorization_token, const grpc::string &authority_selector)
std::shared_ptr< Credentials > | grpc::CompositeCredentials (const std::shared_ptr< Credentials > &creds1, const std::shared_ptr< Credentials > &creds2)
std::shared_ptr< Credentials > | grpc::InsecureCredentials ()